Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ihr.xbrl.dts
Class InstanceExplorer.CompanyKey

    java.lang.Object
      com.ihr.xbrl.dts.InstanceExplorer.CompanyKey

Enclosing class:
  InstanceExplorer

    public static class InstanceExplorer.CompanyKey

extends java.lang.Object

Constructor Summary
`InstanceExplorer.CompanyKey(java.lang.String identifier, java.lang.String scheme)`
`InstanceExplorer.CompanyKey(XBRLContext context)`
`InstanceExplorer.CompanyKey(XBRLEntity entity)`
`InstanceExplorer.CompanyKey(XBRLFactItem item)`

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`java.lang.String` | `getIdentifier()` Access to the identifier of this company key
`java.lang.String` | `getScheme()` Access to the scheme of this company key
`int` | `hashCode()`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InstanceExplorer.CompanyKey

    public InstanceExplorer.CompanyKey(java.lang.String identifier,
                                       java.lang.String scheme)

Parameters:
  `identifier` -
  `scheme` -

### InstanceExplorer.CompanyKey

    public InstanceExplorer.CompanyKey(XBRLFactItem item)

Parameters:
  `item` -

### InstanceExplorer.CompanyKey

    public InstanceExplorer.CompanyKey(XBRLContext context)

Parameters:
  `context` -

### InstanceExplorer.CompanyKey

    public InstanceExplorer.CompanyKey(XBRLEntity entity)

Parameters:
  `entity` -

Method Detail

### getScheme

    public java.lang.String getScheme()

  Access to the scheme of this company key

  Returns:
    the scheme

### getIdentifier

    public java.lang.String getIdentifier()

  Access to the identifier of this company key

  Returns:
    the identifier

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD